// 定时器驱动
// 杭州秒寻科技有限公司
// 周涛
// 2023-09-14

#ifndef DRIVERTIMER_H
#define DRIVERTIMER_H

#include "sysdef.h"

// 定时器基础时钟
#define DRIVER_TIM_BASE_TIME_NO TIM3
#define DRIVER_TIM_BASE_TIME_CLK RCC_APB1Periph_TIM3
#define DRIVER_TIM_BASE_TIME_IRQn TIM3_IRQn

void driver_timer_timer3_init(); // 时基定时器(给所有模块的定时器提供时基)
void driver_timer_timer3_get_ticks(uint32 *pdwTicks);

// 内部接口

#endif
